[development] Fundamental MySQL changes in Drupal 6 (six)

Karoly Negyesi karoly at negyesi.net
Mon Nov 13 04:40:07 UTC 2006

> Out of curiosity, I know we discussed dropping 4.0 support for Drupal 5 a 
> while back on this list, and reasons were given not to.  Why the sudden 
> change for Drupal 6, and why was it discussed in IRC instead of on the list?

We discussed dropping 3.23 for D5 and we had an experiment with calc_found_rows and it proved to have no benefit. Hence there is no point in dropping that because there is nothing special 4.0 which we would use. I am not aware of any notion of dropping 4.0 for D5.

"Discussion" was I asked Dries whether he is OK with dropping 4.0 for D6 and introducing subqueries. He said yes. That's all.

If I bring it to the list then we get at least one very voicy whiner whose provider is still on MySQL 3.22 and can't deal with the fact that life goes on (about 3-4 days ago someone dared to file a critical patch because he found Drupal 5 does not work with his ISP's hacked apart Apache 1.2). Another merry band would not be able to deal with the fact that Drupal needs to run on a wide array of hosts and would demand jumping to 5.1 in the likely event that gets released before Drupal 6. I do not have time for this.



More information about the development mailing list